macro(make_test arg1)
    add_executable(${arg1}
        ${arg1}.cpp
        )
    target_link_libraries(${arg1}
            pwcore)
endmacro()


make_test(pwcore_test_matrix)
make_test(pwcore_test_vector)
make_test(pwcore_test_axisangle)
make_test(pwcore_test_quaternion)
make_test(pwcore_test_transform_tools)
make_test(pwcore_test_mesh)
